package cn.tonyandmoney.tuon.core.utils;

import org.springframework.http.client.SimpleClientHttpRequestFactory;
import org.springframework.web.client.RestTemplate;

import java.util.Map;

public class RestUtils {


    public static <T> T get(String url, Map<String, String> params, Class<T> clz) {
        RestTemplate restTemplate = new RestTemplate(createFactory());
        return restTemplate.getForObject(url, clz, params);
    }

    public static <T> T get(String host, String url, Map<String, String> params, Class<T> clz) {
        RestTemplate restTemplate = new RestTemplate(createFactory());
        return restTemplate.getForObject(String.format("%s%s", host, url), clz, params);
    }


    private static SimpleClientHttpRequestFactory createFactory() {
        SimpleClientHttpRequestFactory requestFactory = new SimpleClientHttpRequestFactory();
        requestFactory.setConnectTimeout(1000);
        requestFactory.setReadTimeout(1000);
        return requestFactory;
    }
}
